diff -Nru a/drivers/usb/hcd/ohci-dbg.c b/drivers/usb/hcd/ohci-dbg.c
--- a/drivers/usb/hcd/ohci-dbg.c	Sun Jan 20 16:28:47 2002
+++ b/drivers/usb/hcd/ohci-dbg.c	Sun Jan 20 16:28:47 2002
@@ -23,7 +23,7 @@
 /* debug| print the main components of an URB     
  * small: 0) header + data packets 1) just header
  */
-static void urb_print (urb_t * urb, char * str, int small)
+static void urb_print (struct urb * urb, char * str, int small)
 {
 	unsigned int pipe= urb->pipe;
 	
diff -Nru a/drivers/usb/hcd/ohci-q.c b/drivers/usb/hcd/ohci-q.c
--- a/drivers/usb/hcd/ohci-q.c	Sun Jan 20 16:28:47 2002
+++ b/drivers/usb/hcd/ohci-q.c	Sun Jan 20 16:28:47 2002
@@ -57,7 +57,7 @@
  * It's completely gone from HC data structures, so no locking
  * is needed ... or desired! (Giveback can call back to hcd.)
  */
-static inline void finish_urb (struct ohci_hcd *ohci, urb_t *urb)
+static inline void finish_urb (struct ohci_hcd *ohci, struct urb *urb)
 {
 	if (urb->hcpriv) {
 		urb_free_priv (ohci, urb->hcpriv);
@@ -66,15 +66,15 @@
 	usb_hcd_giveback_urb (&ohci->hcd, urb);
 }
 
-static void td_submit_urb (urb_t *urb);
+static void td_submit_urb (struct urb *urb);
 
 /*
  * URB is reported to driver, is reissued if it's periodic.
  */
-static int return_urb (struct ohci_hcd *hc, urb_t *urb)
+static int return_urb (struct ohci_hcd *hc, struct urb *urb)
 {
 	urb_priv_t	*urb_priv = urb->hcpriv;
-	urb_t		*urbt;
+	struct urb	*urbt;
 	unsigned long	flags;
 	int		i;
 
@@ -566,7 +566,7 @@
 static void
 td_fill (struct ohci_hcd *ohci, unsigned int info,
 	dma_addr_t data, int len,
-	urb_t *urb, int index)
+	struct urb *urb, int index)
 {
 	volatile struct td	*td, *td_pt;
 	urb_priv_t		*urb_priv = urb->hcpriv;
@@ -614,7 +614,7 @@
 
 /* prepare all TDs of a transfer */
 
-static void td_submit_urb (urb_t *urb)
+static void td_submit_urb (struct urb *urb)
 { 
 	urb_priv_t	*urb_priv = urb->hcpriv;
 	struct ohci_hcd *ohci = hcd_to_ohci (urb->dev->bus->hcpriv);
@@ -739,7 +739,7 @@
 {
 	__u32		tdINFO, tdBE, tdCBP;
  	__u16		tdPSW;
- 	urb_t		*urb = td->urb;
+ 	struct urb	*urb = td->urb;
  	urb_priv_t	*urb_priv = urb->hcpriv;
 	int		dlen = 0;
 	int		cc = 0;
@@ -859,7 +859,7 @@
 		td_p = &ed->hwHeadP;
 
 		for (td = tdHeadP; td != tdTailP; td = td_next) {
-			urb_t *urb = td->urb;
+			struct urb *urb = td->urb;
 			urb_priv_t *urb_priv = td->urb->hcpriv;
 
 			td_next = dma_to_td (ohci,
@@ -936,7 +936,7 @@
   	struct td	*td_list_next = NULL;
 	struct ed	*ed;
 	int		cc = 0;
-	urb_t		*urb;
+	struct urb	*urb;
 	urb_priv_t	*urb_priv;
  	__u32		tdINFO, edHeadP, edTailP;
 
diff -Nru a/drivers/usb/hcd/ohci.h b/drivers/usb/hcd/ohci.h
--- a/drivers/usb/hcd/ohci.h	Sun Jan 20 16:28:47 2002
+++ b/drivers/usb/hcd/ohci.h	Sun Jan 20 16:28:47 2002
@@ -114,7 +114,7 @@
   	__u8		index;
   	struct ed	*ed;
   	struct td	*next_dl_td;
-  	urb_t		*urb;
+  	struct urb	*urb;
 
 	dma_addr_t	td_dma;
 	dma_addr_t	data_dma;
